#! /bin/sh -e
export tup_vardict="/home/fabs/Code/netatmo-algo/tup-generate.vardict"
cd "src"
(clang++ -c a2.cpp -o a2.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c bounding_box.cpp -o bounding_box.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c frame.cpp -o frame.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c mapping.cpp -o mapping.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c mask.cpp -o mask.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c pack.cpp -o pack.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c png.cpp -o png.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(ar rcs libpacking.a a2.o bounding_box.o frame.o mapping.o mask.o pack.o png.o)
(clang++ -c main_cli.cpp -o main_cli.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ -c png_impl.cpp -o png_impl.o -Wall -Werror -std=c++17 -fcolor-diagnostics -g -O1 -I./3rd-party/stb)
(clang++ libpacking.a main_cli.o png_impl.o -o ../packing_cli -L. -lpacking)
