#pragma once

#include <cstdint>

namespace freling {

struct BoundingBox {
    int32_t x;
    int32_t y;
    uint32_t width;
    uint32_t height;

    int area() const;
    bool contains(int x, int y) const;

    bool operator==(const BoundingBox& b) const;
};

}  // namespace freling
